/*
 * ProgramJNICpp.cpp
 *
 *  Created on: 23. 12. 2015
 */
#include <jni.h>
#include <iostream>
#include <string>
#include <cstring>
#include "ProgramJNICpp.h"

using namespace std;

JNIEXPORT void JNICALL Java_ProgramJNICpp_vlozInt(JNIEnv *env , jobject obj, jint cislo){
	cout << "Vypis cisla z Nativni casti : " << cislo << "\n";
}

JNIEXPORT jint JNICALL Java_ProgramJNICpp_ziskejInt(JNIEnv *env, jobject obj){
	jint mojeCislo=123;
	return mojeCislo;
}

JNIEXPORT void JNICALL Java_ProgramJNICpp_posliString(JNIEnv *env, jobject obj, jstring str){
	//	presuneme jstring na Cckovy String
	const char* s = env->GetStringUTFChars(str,NULL);
	cout << "Vypis Stringu z Nativni casti : " << s << "\n";
}

JNIEXPORT jstring JNICALL Java_ProgramJNICpp_upravString(JNIEnv *env, jobject obj, jstring str){
	//	presuneme jstring na Cckovy String
	const char* s = env->GetStringUTFChars(str,NULL);
	// presuneme Cckovy string na C++ string
	string txtInterpret(s,strlen(s));
	string txtNativ = " - Nativni String";
	txtInterpret += txtNativ;
	cout << "Vypis Stringu z Nativni casti behem upravy : " << txtInterpret << "\n";
	//	do jstringu je nutno prevest C++ string na C string
	jstring vystup = env->NewStringUTF(txtInterpret.c_str());
	return vystup;
}


