public class ProgramJNICpp {
	static {
		try {
			System.loadLibrary("src/knihovna");
			System.out.println("Nactena knihovna knihovna.dll");
		}
		catch(UnsatisfiedLinkError e){
			System.err.println("Nelze nacist knihovnu knihovna.dll");
			System.err.println(e.getMessage());
		}
	}
	native void vlozInt(int cislo);
	native int ziskejInt();
	native void posliString(String s);
	native String upravString(String s);
	public static void main(String[] args) {
		System.out.println("Start Programu");
		ProgramJNICpp program = new ProgramJNICpp();
		program.vlozInt(123123);
		System.out.println("Vystup int : "+program.ziskejInt());
		program.posliString("Muj testovaci String");
		System.out.println("Vystup String : "+program.upravString("Retezec Interpret"));
	}
}
